## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate krunvm

Name:           rust-krunvm
Version:        0.1.6
Release:        %autorelease
Summary:        Create microVMs from OCI images

License:        Apache-2.0
URL:            https://crates.io/crates/krunvm
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove macOS-only text_io dependency
Patch:          krunvm-fix-metadata.diff

# This crate depends on libkrun and it's only available on x86_64 and aarch64
ExclusiveArch:  x86_64 aarch64

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Create microVMs from OCI images.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0
# MIT
# MIT OR Apache-2.0
# MIT OR X11 OR Apache-2.0
License:        Apache-2.0 AND MIT AND (MIT OR Apache-2.0) AND (MIT OR X11 OR Apache-2.0)
# LICENSE.dependencies contains a full license breakdown
Requires:       buildah

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CODE-OF-CONDUCT.md
%doc README.md
%doc SECURITY.md
%{_bindir}/krunvm
%{_mandir}/man1/krunvm*.1*

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'asciidoctor'
echo 'libkrun-devel'

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-changevm.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-config.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-create.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-delete.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-list.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-start.1

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.6-8
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.6-6
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.6-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jul 18 2022 Sergio Lopez <slp@redhat.com> - 0.1.6-1
- Initial package

